Agent Versions
Delete an agent version
Deletes a specific version of an agent. For hosted agents, if the version has active
sessions, the request is rejected with HTTP 409 unless force is set to true. When
force is true, all sessions associated with this version are cascade-deleted.
Parameter jalur
agent_name
string
diperlukan
The name of the agent to delete.
agent_version
string
diperlukan
The version of the agent to delete
Parameter kueri
force
boolean
For Hosted Agents, if true, force-deletes the version even if it has active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
diperlukan
The API version to use for this operation.
Respons
The request has succeeded.
Isi
object
enum
diperlukan
The object type. Always 'agent.version.deleted'.
name
string
diperlukan
The name of the agent.
version
string
diperlukan
The version identifier of the agent.
deleted
boolean
diperlukan
Whether the agent was successfully deleted.
Minta
DELETE /agents/{agent_name}/versions/{agent_version} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json